org.apache.tools.ant.taskdefs.optional.junitlauncher

## Class ListenerDefinition

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.ListenerDefinition

    public class ListenerDefinition
    extends java.lang.Object

Represents the `&lt;listener&gt;` element within the `&lt;junitlauncher&gt;` task

### Nested Class Summary

Nested Classes
`static class` `ListenerDefinition.ListenerType`

### Constructor Summary

Constructors
Constructor and Description
`ListenerDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setClassName(java.lang.String className)`
`void` `setIf(java.lang.String ifProperty)`
`void` `setResultFile(java.lang.String filename)`
`void` `setSendSysErr(boolean sendSysErr)`
`void` `setSendSysOut(boolean sendSysOut)`
`void` `setType(ListenerDefinition.ListenerType type)`
`void` `setUnless(java.lang.String unlessProperty)`
`protected boolean` `shouldUse(Project project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerDefinition

    public ListenerDefinition()

### Method Detail

#### setClassName

    public void setClassName(java.lang.String className)

#### setIf

    public void setIf(java.lang.String ifProperty)

#### setUnless

    public void setUnless(java.lang.String unlessProperty)

#### setType

    public void setType(ListenerDefinition.ListenerType type)

#### setResultFile

    public void setResultFile(java.lang.String filename)

#### setSendSysOut

    public void setSendSysOut(boolean sendSysOut)

#### setSendSysErr

    public void setSendSysErr(boolean sendSysErr)

#### shouldUse

    protected boolean shouldUse(Project project)